"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageclient_1 = require("vscode-languageclient");
let client;
// TODO this is for later when the server is pusblished as a npm package!
const serverModule = require.resolve('@prisma/language-server-test');
function activate(context) {
    // TODO remove this this is only if server is not published as a npm package yet!
    // The server is implemented in node
    //const serverModule = context.asAbsolutePath(
    //  path.join('../..', 'server', 'out', 'index.js'),
    //)
    // The debug options for the server
    // --inspect=6009: runs the server in Node's Inspector mode so VS Code can attach to the server for debugging
    const debugOptions = {
        execArgv: ['--nolazy', '--inspect=6009'],
        env: { DEBUG: true },
    };
    // If the extension is launched in debug mode then the debug server options are used
    // Otherwise the run options are used
    const serverOptions = {
        run: { module: serverModule, transport: vscode_languageclient_1.TransportKind.ipc },
        debug: {
            module: serverModule,
            transport: vscode_languageclient_1.TransportKind.ipc,
            options: debugOptions,
        },
    };
    // Options to control the language client
    const clientOptions = {
        // Register the server for marko text documents
        documentSelector: [{ scheme: 'file', language: 'prisma' }],
    };
    // Create the language client and start the client.
    client = new vscode_languageclient_1.LanguageClient('prisma', 'Prisma Language Server', serverOptions, clientOptions);
    // Start the client. This will also launch the server
    client.start();
}
exports.activate = activate;
function deactivate() {
    if (!client) {
        return undefined;
    }
    return client.stop();
}
exports.deactivate = deactivate;
//# sourceMappingURL=index.js.map